/*
 * nucleo_qtr.h
 *
 *  Created on: 11. 2. 2018
 *      Author: weissar
 */

#ifndef NUCLEO_QTR_H_
#define NUCLEO_QTR_H_

#ifdef __cplusplus
 extern "C" {
#endif /* __cplusplus */

#include "stm_core.h"

typedef struct gpio_pin_struct
{
    GPIO_TypeDef *gpio;
    int32_t pin;
} gpio_pin;

extern volatile uint16_t senzorsPublic[];

void QTR_EnableMeassure(bool en);

bool QTR_InitSensors(volatile gpio_pin *pins, int count, bool useRC);
bool QTR_StepCalibrate(void);
bool QTR_ClearCalibrate(void);
uint16_t QTR_LineDetect(void);
bool QTR_FillSensors(uint16_t *pSens);
bool QTR_FillPureSensVals(uint16_t *pSens);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* NUCLEO_QTR_H_ */
