/*
 * rizeni.h
 *
 *  Created on: 1. 5. 2021
 *      Author: tomas
 */

#ifndef RIZENI_H_
#define RIZENI_H_

#include "stm_core.h"

typedef enum{
  zumo,
  lego,
  pasak,
  kolovyPodvozek
}ePodvozky;

ePodvozky MotorsInit(ePodvozky podvozek);
void MotorsSetSpeed(int leftSpeed,int rightSpeed);

//ZUMO
#define ZUMO_M2PWM    GPIOB,6     // TIM4ch1, LEFT
#define ZUMO_M1PWM    GPIOC,7     // TIM3ch2, RIGHT
#define ZUMO_M2DIR    GPIOA,9
#define ZUMO_M1DIR    GPIOA,8
#define ZUMO_BUTTON   GPIOA,6
#define ZUMO_NUM_SENZORS 6
//use RC = true

//LEGO
#define DRIVER_ENA  GPIOA,10
#define DRIVER_IN1A  GPIOB,4
#define DRIVER_IN2A  GPIOB,5
#define DRIVER_ENB  GPIOC,1
#define DRIVER_IN1B  GPIOA,0
#define DRIVER_IN2B  GPIOA,1
#define LEGO_NUM_SENZORS 8
//use RC = false

//PASAK
#define DRV8833_IN1A  GPIOB,4
#define DRV8833_IN2A  GPIOB,5
#define DRV8833_IN1B  GPIOA,0
#define DRV8833_IN2B  GPIOA,1

//kolovyPodvozek
#define IHM12_RESET GPIOC, 7
#define IHM12_PWMB GPIOB, 5
#define IHM12_PWMA GPIOB, 4
#define IHM12_PHA GPIOB, 10
#define IHM12_PHB GPIOA, 8
#define IHM12_REF GPIOA, 0





#endif /* RIZENI_H_ */
